C# Class Revit.SDK.Samples.ManipulateForm.CS.Command

Inheritance: IExternalCommand
Mostrar archivo Open project: AMEE/revit

Public Methods

Method Description
Execute ( ExternalCommandData commandData, string &message, Autodesk elements ) : Autodesk.Revit.UI.Result

Implement this method as an external command for Revit.

Private Methods

Method Description
AddEdge ( Form form ) : System.Reference

Add edge to the loft form

AddProfile ( Form form ) : int

Add profile to the loft form

CreateLoft ( ) : Form

Create a loft form

CreateProfile ( double length, double width, double height ) : ReferenceArray

Create a rectangle profile with provided length, width and height

GetEdgeByEndPoints ( Form form, Autodesk startPoint, Autodesk endPoint ) : System.Edge

Get an edge from the form by its endpoints

MoveEdgesOnProfile ( Form form, int profileIndex ) : void

Move the edges on profile

MoveProfile ( Form form, int profileIndex ) : void

Move the profile

MoveSubElement ( Form form, System.Reference subElemReference, Autodesk offset ) : void

Move the sub element

MoveVertexesOnAddedProfile ( Form form, int profileIndex ) : void

Move the form vertexes on added profile

MoveVertexesOnBottomProfile ( Form form ) : void

Move the form vertexes

Method Details

Execute() public method

Implement this method as an external command for Revit.
public Execute ( ExternalCommandData commandData, string &message, Autodesk elements ) : Autodesk.Revit.UI.Result
commandData ExternalCommandData An object that is passed to the external application /// which contains data related to the command, /// such as the application object and active view.
message string A message that can be set by the external application /// which will be displayed if a failure or cancellation is returned by /// the external command.
elements Autodesk A set of elements to which the external application /// can add elements that are to be highlighted in case of failure or cancellation.
return Autodesk.Revit.UI.Result